package de.ivu.elect.interfaces.gebietgeometrie;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

import de.ivu.elect.interfaces.core.GebietReferenz;

/**
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class GebietPolygonPoint implements Serializable {

  @XmlElement(required = true)
  private GebietReferenz gebiet;

  @XmlElement(required = true)
  private GebietPolygonPointArt gebietPolygonPointArt;

  @XmlElement(required = true)
  private Double latitude;

  @XmlElement(required = true)
  private Double longitude;

  @XmlElement(required = true)
  private Long position;

  public GebietReferenz getGebiet() {
    return gebiet;
  }

  public void setGebiet(GebietReferenz gebiet) {
    this.gebiet = gebiet;
  }

  public GebietPolygonPointArt getGebietPolygonPointArt() {
    return gebietPolygonPointArt;
  }

  public void setGebietPolygonPointArt(GebietPolygonPointArt gebietPolygonPointArt) {
    this.gebietPolygonPointArt = gebietPolygonPointArt;
  }

  public Double getLatitude() {
    return latitude;
  }

  public void setLatitude(Double latitude) {
    this.latitude = latitude;
  }

  public Double getLongitude() {
    return longitude;
  }

  public void setLongitude(Double longitude) {
    this.longitude = longitude;
  }

  public Long getPosition() {
    return position;
  }

  public void setPosition(Long position) {
    this.position = position;
  }
}
